Merge branch 'master' into next

* master:
  t800?-blame.sh: retitle uniquely
  tests: flip executable bit on t9158
  tests: add some script lint checks
  Avoid duplicate test number t7609
This commit is contained in:
Junio C Hamano
2010-12-13 18:57:13 -08:00
5 changed files with 14 additions and 2 deletions

View File

@@ -23,10 +23,10 @@ TGITWEB = $(wildcard t95[0-9][0-9]-*.sh)
all: $(DEFAULT_TEST_TARGET)
test: pre-clean
test: pre-clean $(TEST_LINT)
$(MAKE) aggregate-results-and-cleanup
prove: pre-clean
prove: pre-clean $(TEST_LINT)
@echo "*** prove ***"; GIT_CONFIG=.git/config $(PROVE) --exec '$(SHELL_PATH_SQ)' $(GIT_PROVE_OPTS) $(T) :: $(GIT_TEST_OPTS)
$(MAKE) clean
@@ -41,6 +41,18 @@ clean:
$(RM) -r valgrind/bin
$(RM) .prove
test-lint: test-lint-duplicates test-lint-executable
test-lint-duplicates:
@dups=`echo $(T) | tr ' ' '\n' | sed 's/-.*//' | sort | uniq -d` && \
test -z "$$dups" || { \
echo >&2 "duplicate test numbers:" $$dups; exit 1; }
test-lint-executable:
@bad=`for i in $(T); do test -x "$$i" || echo $$i; done` && \
test -z "$$bad" || { \
echo >&2 "non-executable tests:" $$bad; exit 1; }
aggregate-results-and-cleanup: $(T)
$(MAKE) aggregate-results
$(MAKE) clean

0
t/t9158-git-svn-mergeinfo.sh Normal file → Executable file
View File